﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="U08_03.MainPage"
             BackgroundColor="SteelBlue">
    
    <Grid 
        VerticalOptions="Start"
        Padding="20">
        
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="Auto" />
        </Grid.ColumnDefinitions>

        <Label 
            Grid.Row="0"
            Grid.ColumnSpan="2"
            x:Name="OutputLabelName"
            Text="Hello, World!"
            TextColor="White"
            FontSize="32"
            FontFamily="OpenSansRegularBold"
            Margin="0, 0, 0, 30" />

        <Label 
            Grid.Row="1"
            Grid.ColumnSpan="2"
            Text="What's your name?"
            TextColor="White"
            FontSize="18"
            FontFamily="OpenSansRegular"
            Margin="0, 0, 0, 20" />

        <Entry
            Grid.Row="2"
            Grid.Column="0"
            x:Name="NameEntry"
            FontFamily="OpenSansRegular"
            BackgroundColor="White"
            TextColor="Black"
            Margin="0, 0, 10, 0"/>

        <Button
            Grid.Row="2"
            Grid.Column="1"
            x:Name="HelloButton"
            Text="Say Hello!"
            BackgroundColor="White"
            TextColor="Black"
            FontFamily="OpenSansRegular"
            Clicked="OnHelloButtonClicked" />

    </Grid>

</ContentPage>
